Skip to main content
GET
/
v1
/
channels
cURL
curl --request GET \
  --url https://api.goevery.co/v1/channels \
  --header 'Authorization: Bearer <token>'
{
  "channels": [
    {
      "name": "channels/6633a1b2c4d5e6f7a8b9c0d1",
      "type": "whatsapp",
      "active": true
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
number | null

The maximum number of channels to return. Defaults to 50 if not specified.

Required range: x <= 100
Example:

50

pageToken
string | null

A token to retrieve the next page of results.

Response

200 - application/json

Successfully retrieved list of channels.

channels
object[]
required

An array of channels.

nextPageToken
string | null

A token to retrieve the next page of results, if any.